Audit Log Staging Service APIs (1.38) - AuditLogStaging
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
The auditlog-query APIs allow you to download blob audit log data instead of making stacked API requests. You can also choose to receive an email notification when the download is complete.
Blob Audit Log Request
This API allows you to request blob data for audit logs based on the date range. It stages a request to query audit logs based on the provided criteria.
Request Parameters
fromDateis the start date and time for the range of audit logs to retrieve. The date must be formatted asYYYY-MM-DDThh:mm:ssZ(i.e. 2024-11-29T11:08:10Z). The timezone must be UTC.toDateis the end date and time for the range of audit logs to retrieve. The range you set must be greater than 7 days but less than one year. The date must be formatted asYYYY-MM-DDThh:mm:ssZ(i.e. 2024-11-29T11:08:10Z). The timezone is UTC.accountIdis the the identifier requesting the API.emailis the email you want to be notified at if the request is successful. This is an optional field.
Authorizations:
Request Body schema: application/jsonrequired
Responses
Response Schema: application/json
| requestId | integer <int64> A unique identifier assigned to a staging API request. This ID is provided in the response to the user. |
| message | string Conveys the outcome of the API request. |
| error | string Indicates any error that occurs during the request. |
| downloadLink | string URL link to download the staging blob data archive file. |
| downloadLinkExpiry | string The time when the download link expires. |
| checksum | string MD5 hash of the downloaded file to verify the integrity of the data. |
Request samples
- Payload
{- "queryFilter": {
- "expression": {
- "values": [
- "2024-11-15T10:24:07Z (FromDate)",
- "2024-12-07T11:59:56Z (ToDate)"
], - "operator": "BETWEEN",
- "property": "date"
}
}, - "accountId": "boomi-internal",
- "email": "user@boomi.com"
}Response samples
- 200
- 400
- 401
- 403
- 404
- 405
- 409
- 500
{- "requestId": 159,
- "message": "Blob data request for audit logs has been received"
}Get Status of Blob Audit Log Request
The Status API allows you to check the status of a previously made request. This API is useful for tracking the progress or completion of previous requests. Once a request is completed, the audit log staging data is deleted after 7 days for security purposes. You can make new requests as needed.
Authorizations:
path Parameters
| accountId required | string Unique string identifier for the request whose status you want to retrieve |
| requestId required | integer <int64> Unique long integer for the request whose status you want to retrieve |
Responses
Response Schema: application/json
| requestId | integer <int64> A unique identifier assigned to a staging API request. This ID is provided in the response to the user. |
| message | string Conveys the outcome of the API request. |
| error | string Indicates any error that occurs during the request. |
| downloadLink | string URL link to download the staging blob data archive file. |
| downloadLinkExpiry | string The time when the download link expires. |
| checksum | string MD5 hash of the downloaded file to verify the integrity of the data. |
Response samples
- 200
- 400
- 401
- 403
- 404
- 405
- 500
StagingResponse
{- "requestId": 160,
- "message": "AuditLog request completed successfully",
- "downloadLinkExpiry": "2024-12-31T23:59:59Z",
- "checksum": "78c53d143b059a4f0913848a30d39529"
}Cancel Blob Audit Log Request
Cancels a previously staged audit log request based on the account ID and request ID.
Authorizations:
path Parameters
| accountId required | string Unique string identifier for the request whose status you want to retrieve |
| requestId required | integer <int64> Unique long integer for the request whose status you want to retrieve |
Responses
Response Schema: application/json
| requestId | integer <int64> A unique identifier assigned to a staging API request. This ID is provided in the response to the user. |
| message | string Conveys the outcome of the API request. |
| error | string Indicates any error that occurs during the request. |
| downloadLink | string URL link to download the staging blob data archive file. |
| downloadLinkExpiry | string The time when the download link expires. |
| checksum | string MD5 hash of the downloaded file to verify the integrity of the data. |
Response samples
- 200
- 400
- 401
- 403
- 404
- 405
- 500
StagingResponse
{- "requestId": 160,
- "message": "Request has been cancelled successfully."
}